Skip to main content
`Ctrl`+`K`

# DMGenerateRegisterAll

Registers all of the mesh generation methods in the `DM` package.

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGenerateRegisterAll(void)

Not Collective

## See Also

`DM`, `DMGenerateRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmgenerate.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages